package com.yijia.coupon.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 发放方式，优惠劵信息对象 coupon_issue_relation
 *
 * @author yijia
 * @date 2021-08-13
 */
public class CouponIssueRelation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 优惠劵发放方式主键id */
    @Excel(name = "优惠劵发放方式主键id")
    private Long issueId;

    /** 优惠劵表主键id */
    @Excel(name = "优惠劵表主键id")
    private Long couponId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setIssueId(Long issueId)
    {
        this.issueId = issueId;
    }

    public Long getIssueId()
    {
        return issueId;
    }
    public void setCouponId(Long couponId)
    {
        this.couponId = couponId;
    }

    public Long getCouponId()
    {
        return couponId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("issueId", getIssueId())
            .append("couponId", getCouponId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
